Subject: Re: bug#54394: [PATCH core-updates 00/12] Remove old GNU utilities from early bootstrap
From: Timothy Sample <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Mar 2022 13:53:14 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ludovic Courtès <[email-masked]> writes:

> Timothy Sample <[email-masked]> skribis:
>
>> The next two patches spruce up the ‘gnu-bootstrap’ module.  One fixes an
>> omission, and the other gets it ready to handle Gash-Utils 0.2.0, which
>> unfortunately has two module directories.
>>
>> The next three are updates.  The bootar update optimistically assumes
>> that someone with access will upload the source file to the Guix mirror
>> URL: “mirror://gnu/guix/...” as was done with previous versions.
>>
>> The rest hopefully speak for themselves.  Sadly, the last one is
>> something of a jumble.  Originally I wanted to remove the utilities one
>> at a time, but it turns out there are interference effects.  I can’t
>> remember the exact details now, but to get an idea, removing both old
>> Bash and old Grep might work, but removing one and then the other (in
>> either order) might not.  Hence, many utilities get updated in one
>> commit.
>
> The patches all LGTM!  I think you can push them to ‘core-updates’ if
> there are no objections.

Pushed!  (Maybe I didn’t leave enough time for objections – apologies if
it ends up requiring a revert!  I’ll be around to work through any
issues this might cause.)

> Then Maxim, Ricardo, or myself (I think we’re the three people who can
> do that currently) can upload bootar to ftp.gnu.org.  Let us know.

Yes, please!

> It’s quite something to see these intermediate versions of Bash, Gawk,
> tar, grep, coreutils, and sed go away in the last patch, and that tells
> something about the magnitude of the work that has gone in this
> Gash-Utils release.  Thumbs up, and big thanks!

When the Scheme-only bootstrap landed, it was very exciting, but it made
a real mess of ‘commencement.scm’.  Since I played a part in creating
that mess, I figured I ought to work to fix it.  :)  I’m hoping our
Scheme-heavy approach to bootstrapping will result in something clean
and comprehensible, so taking an explicit step in that direction makes
me happy.

-- Tim